//
// exemplo retirado de http://www.thescarms.com/dotNet/DataGridCombo.asp
//

using System;

namespace DataGridBoundCombo
{
	public class NoKeyUpCombo: System.Windows.Forms.ComboBox
	{
		private const int WM_KEYUP = 0x101;

		protected override void WndProc(ref System.Windows.Forms.Message theMessage)
		{
			//
			// Ignore KeyUp event to avoid problem with tabbing the dropdown.
			//
			if (theMessage.Msg == WM_KEYUP)
				return;
			else
				base.WndProc(ref theMessage);
		}
	} // class

} //namespace
